Bug 21654 - PANIC: failed to set gid
Summary: PANIC: failed to set gid
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: alpha Linux
high
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact: Dale Lovelace
URL:
Whiteboard:
Keywords:
: 22371 32223 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-12-03 20:28 UTC by Larry Fahnoe
Modified: 2007-03-27 03:38 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-16 21:51:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to possibly fix samba/kernel interaction (390 bytes, patch)
2000-12-15 22:14 UTC, Bill Nottingham
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2001:013 high SHIPPED_LIVE : Three security holes fixed in new kernel 2001-02-08 05:00:00 UTC

Description Larry Fahnoe 2000-12-03 20:28:34 UTC
Red Hat Linux release 7.0 (Guinness)
Kernel 2.2.17-4 on an alpha

glibc-2.2-5
samba-2.0.7-21ssl

smb.conf:
   encrypt passwords = yes
   smb passwd file = /etc/samba/smbpasswd

NT 4 client attempts to connect to server using valid username/password,
/var/log/samba/client.log shows:

[2000/12/03 14:19:09, 0] lib/util_sec.c:assert_gid(72)
  Failed to set gid privileges to (-1,500) now set to (0,0) uid=(0,0)
[2000/12/03 14:19:09, 0] lib/util.c:smb_panic(2381)
  PANIC: failed to set gid

The same smb.conf with the same release of RedHat on my Intel system works
properly.

--Larry

Comment 1 Bill Nottingham 2000-12-06 16:35:01 UTC
This appears to be a kernel problem. Reassigning there.

Comment 2 Bill Nottingham 2000-12-15 22:06:08 UTC
*** Bug 22371 has been marked as a duplicate of this bug. ***

Comment 3 Bill Nottingham 2000-12-15 22:06:32 UTC
*** Bug 22371 has been marked as a duplicate of this bug. ***

Comment 4 Bill Nottingham 2000-12-15 22:07:15 UTC
*** Bug 22371 has been marked as a duplicate of this bug. ***

Comment 5 Bill Nottingham 2000-12-15 22:13:01 UTC
Can you apply the attached and rebuild your kernel - does it work then?

Comment 6 Bill Nottingham 2000-12-15 22:14:36 UTC
Created attachment 6493 [details]
patch to possibly fix samba/kernel interaction

Comment 7 Larry Fahnoe 2000-12-16 21:51:39 UTC
Yes, the patch solves the problem.

Tested with patch applied to 2.2.18 stock kernel, not RH 2.2.17-4.  I'm assuming that you will get the updated entry points to the proper kernel folks, but 
let me know if you are not planning to and I will send them the update.

Thanks!!

--Larry

Comment 8 Bill Nottingham 2001-02-07 08:05:19 UTC
This got fixed in both the 2.4.0 rawhide kernels and whatever the 
last 2.2 one we built was.

Comment 9 Bill Nottingham 2001-03-19 16:13:42 UTC
*** Bug 32223 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.